use std::io::{stdin, stdout};

use keyfork_prompt::*;

pub fn main() -> Result<()> {
    let mut mgr = PromptManager::new(stdin(), stdout())?;
    mgr.prompt_input("Mnemonic: ")?;
    mgr.prompt_message("Please press enter.")?;
    mgr.prompt_passphrase("Passphrase: ")?;
    mgr.prompt_message("Please press space bar.")?;
    Ok(())
}
